@package: REST_API
-
functionrest_get_route_for_post()
Gets the REST API route for a post.
-
Filters the REST API route for a post.
-
functionrest_get_route_for_term()
Gets the REST API route for a term.
-
Filters the REST API route for a term.
-
Gets the REST route for the currently queried object.
-
Filters the REST route for the currently queried object.
-
Sets the “additionalProperties” to false by default for all object definitions in the schema.
-
Filters the response to remove any fields not available in the given context.
-
functionrest_sanitize_array()
Converts an array-like value to an array.
-
functionrest_is_object()
Determines if a given value is object-like.
-
functionrest_sanitize_object()
Converts an object-like value to an array.
-
functionrest_get_best_type_for_value()
Gets the best type for a value.
-
functionrest_handle_multi_type_schema()
Handles getting the best type for a multi-type schema.
-
Checks if an array is made up of unique items.
-
functionrest_stabilize_value()
Stabilizes a value following JSON Schema semantics.
-
functionrest_is_integer()
Determines if a given value is integer-like.
-
functionrest_is_array()
Determines if a given value is array-like.
-
functionrest_parse_hex_color()
Parses a 3 or 6 digit hex color (with #).
-
functionrest_handle_doing_it_wrong()
Handles _doing_it_wrong errors.
-
Filters the post’s schema.
Used by 1 function | Uses 0 functions | Source: wp-includes/rest-api/endpoints/class-wp-rest-posts-controller.php:2759 -
functionrest_parse_embed_param()
Parses the “_embed” parameter into the list of resources to embed.
-
Checks if a parameter exists in the request.
-
functionrest_is_field_included()
Given an array of fields to include in a response, some of which may be `nested.fields`, determine whether the provided field should be included in the response body.